Thread (2 messages) flat view 2 messages, 2 authors, 2016-06-15

Re: [PATCHv2] Make filter-branch work with many branches

From: Johannes Sixt <hidden>
Date: 2016-06-15 22:51:37
Subsystem: the rest · Maintainer: Linus Torvalds

Am 20.07.2011 15:42, schrieb Dave Zarzycki:
-rev_args=$(git rev-parse --revs-only "$@")
+rev_parse_args="$@"
This won't do what you expect when "$@" should expand to more than one
word.

I meant something like the following. Warning: Completely untested.
diff --git a/git-filter-branch.sh b/git-filter-branch.sh
index 962a93b..d0a933e 100755
--- a/git-filter-branch.sh
+++ b/git-filter-branch.sh
@@ -274,7 +274,7 @@ else
 	remap_to_ancestor=t
 fi
 
-rev_args=$(git rev-parse --revs-only "$@")
+git rev-parse --revs-only "$@" >../revargs || exit
 
 case "$filter_subdir" in
 "")
@@ -287,7 +287,7 @@ case "$filter_subdir" in
 esac
 
 git rev-list --reverse --topo-order --default HEAD \
-	--parents --simplify-merges $rev_args "$@" > ../revs ||
+	--parents --simplify-merges --stdin "$@" <../revargs >../revs ||
 	die "Could not get the commits"
 commits=$(wc -l <../revs | tr -d " ")
 
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help